This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 494069 - Network Manager 0.7.0.99-5 breaks 3G UTMS cards using nozomi kernel module
Network Manager 0.7.0.99-5 breaks 3G UTMS cards using nozomi kernel module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i686 Linux
high Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 20:32 EDT by Christopher J. Buckley
Modified: 2009-05-12 00:13 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.7.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 00:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher J. Buckley 2009-04-03 20:32:29 EDT
Description of problem:

After upgrading to NetworkManager-0.7.0.99-5.git20090326.fc10.i386 my Vodafone Qualcomm UTMS card is no longer recognised by Network Manager.

I can, however, still use ifup / if down scripts to control the card.  Network Manager reports:

Apr  4 01:29:12 ahx-thinkpad kernel: nozomi 0000:06:00.0: Card type is: 2048
Apr  4 01:29:13 ahx-thinkpad NetworkManager: <info>  (noz1): ignoring due to lack of mobile broadband capabilties
Apr  4 01:29:13 ahx-thinkpad NetworkManager: <info>  (noz2): ignoring due to lack of mobile broadband capabilties
Apr  4 01:29:13 ahx-thinkpad NetworkManager: <info>  (noz0): found serial port (udev:  hal:GSM)
Apr  4 01:29:13 ahx-thinkpad NetworkManager: <info>  (noz0): ignoring due to lack of probed mobile broadband capabilties
Apr  4 01:29:13 ahx-thinkpad NetworkManager: <info>  (noz3): ignoring due to lack of mobile broadband capabilties
Apr  4 01:29:13 ahx-thinkpad kernel: nozomi 0000:06:00.0: Version of card: 3
Apr  4 01:29:13 ahx-thinkpad kernel: nozomi 0000:06:00.0: Initialization OK!
Apr  4 01:29:14 ahx-thinkpad kernel: nozomi 0000:06:00.0: Device READY!

lspci output:

06:00.0 Network controller: Option N.V. Qualcomm MSM6275 UMTS chip
	Flags: medium devsel, IRQ 16
	Memory at c0000000 (32-bit, non-prefetchable) [size=2K]
	Kernel driver in use: nozomi
	Kernel modules: nozomi


Version-Release number of selected component (if applicable):

Fedora 10.
NetworkManager-0.7.0.99-5.git20090326.fc10.i386

How reproducible:

Everytime.

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Scheck 2009-04-06 06:39:43 EDT
Ping?
Comment 3 Joerg (kital) Simon 2009-04-06 07:10:26 EDT
same Problem for my "T-Mobile branded" UMTS-Card with similar chipset

16:00.0 Network controller: Option N.V. Qualcomm MSM6275 UMTS chip
        Flags: medium devsel, IRQ 16
        Memory at 88000000 (32-bit, non-prefetchable) [size=2K]
        Kernel driver in use: nozomi
        Kernel modules: nozomi
Comment 4 yunus 2009-04-07 12:58:44 EDT
Hi 

Thank you for filing  the bug.

Could you please try this version of NetworkManager:
http://koji.fedoraproject.org/koji/buildinfo?buildID=96639



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Christopher J. Buckley 2009-04-07 15:43:48 EDT
Just installed - i will close this bug for now and re-open if the issue is not resolved.

Thanks!
Comment 6 Joerg (kital) Simon 2009-04-08 03:49:19 EDT
(In reply to comment #5)
> Just installed - i will close this bug for now and re-open if the issue is not
> resolved

NetworkManager-0.7.0.100-1.fc10.i386 shows the same behaviour as before NetworkManager-0.7.0.99-5.git20090326.fc10.i386


Apr  8 09:11:36 simux kernel: pccard: CardBus card inserted into slot 0
Apr  8 09:11:36 simux kernel: Initializing Nozomi driver 2.1d (build date: Mar 23 2009 23:39:31)
Apr  8 09:11:36 simux kernel: nozomi 0000:16:00.0: enabling device (0000 -> 0002)
Apr  8 09:11:36 simux kernel: nozomi 0000:16:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Apr  8 09:11:36 simux kernel: nozomi 0000:16:00.0: Card type is: 2048
Apr  8 09:11:36 simux NetworkManager: <info>  (noz0): found serial port (udev:  hal:GSM)
Apr  8 09:11:36 simux NetworkManager: <info>  (noz0): ignoring due to lack of probed mobile broadband capabilties
Apr  8 09:11:36 simux NetworkManager: <info>  (noz1): ignoring due to lack of mobile broadband capabilties
Apr  8 09:11:36 simux NetworkManager: <info>  (noz2): ignoring due to lack of mobile broadband capabilties
Apr  8 09:11:36 simux NetworkManager: <info>  (noz3): ignoring due to lack of mobile broadband capabilties
Apr  8 09:11:36 simux kernel: nozomi 0000:16:00.0: Version of card: 3
Apr  8 09:11:36 simux kernel: nozomi 0000:16:00.0: Initialization OK!
Apr  8 09:11:37 simux kernel: nozomi 0000:16:00.0: Device READY!
Comment 7 Robert Scheck 2009-04-08 05:02:37 EDT
Reopening.
Comment 8 yunus 2009-04-08 11:43:56 EDT
Hi

We also want to know the version of hal-info you use. Could you update to the latest version for Fedora 10 here :
   http://koji.fedoraproject.org/koji/buildinfo?buildID=81219

If the problem persist, let us know the output of 
   lshal
command.

Thank you

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Dan Williams 2009-04-08 11:45:37 EDT
Should *really* be fixed in the next build...  Upstream commit cf199a964b2571fb2cf9fe73cec165c56bcafa6f.
Comment 10 Joerg (kital) Simon 2009-04-08 14:54:46 EDT
the output from lshal with hal-info-20090202-1.fc10.noarch installed

udi = '/org/freedesktop/Hal/devices/pci_1931_c'
  info.linux.driver = 'nozomi'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_104c_8039'  (string)
  info.product = 'Qualcomm MSM6275 UMTS chip'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  info.vendor = 'Option N.V.'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0'  (string)
  pci.device_class = 2  (0x2)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 128  (0x80)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0'  (string)
  pci.product = 'Qualcomm MSM6275 UMTS chip'  (string)
  pci.product_id = 12  (0xc)  (int)
  pci.subsys_product_id = 0  (0x0)  (int)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.vendor = 'Option N.V.'  (string)
  pci.vendor_id = 6449  (0x1931)  (int)

udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_2'
  access_control.file = '/dev/noz2'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_2'  (string)
  linux.device_file = '/dev/noz2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/tty/noz2'  (string)
  serial.device = '/dev/noz2'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  serial.port = 2  (0x2)  (int)
  serial.type = 'unknown'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_1'
  access_control.file = '/dev/noz1'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_1'  (string)
  linux.device_file = '/dev/noz1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/tty/noz1'  (string)
  serial.device = '/dev/noz1'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  serial.port = 1  (0x1)  (int)
  serial.type = 'unknown'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_3'
  access_control.file = '/dev/noz3'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_3'  (string)
  linux.device_file = '/dev/noz3'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/tty/noz3'  (string)
  serial.device = '/dev/noz3'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  serial.port = 3  (0x3)  (int)
  serial.type = 'unknown'  (string)

udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_0'
  access_control.file = '/dev/noz0'  (string)
  access_control.type = 'modem'  (string)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'serial', 'modem', 'access_control'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_1931_c_serial_unknown_0'  (string)
  linux.device_file = '/dev/noz0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/tty/noz0'  (string)
  modem.command_sets = {'GSM-07.07', 'GSM-07.05'} (string list)
  serial.device = '/dev/noz0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/pci_1931_c'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)
Comment 11 yunus 2009-04-08 22:34:35 EDT
Joerg (kital) Simon:

Thank you for providing the information. The developer is now fixing the bug upstream (see comment #9 from the developer).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Fedora Update System 2009-04-08 23:02:44 EDT
NetworkManager-0.7.0.100-2.git20090408.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.100-2.git20090408.fc10
Comment 13 Fedora Update System 2009-04-08 23:03:45 EDT
NetworkManager-0.7.0.100-2.git20090408.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.100-2.git20090408.fc9
Comment 14 Joerg (kital) Simon 2009-04-09 10:53:25 EDT
it is working with the Update NetworkManager-0.7.0.100-2.git20090408.fc10

Apr  9 16:46:08 simux kernel: pccard: CardBus card inserted into slot 0                                         
Apr  9 16:46:08 simux kernel: Initializing Nozomi driver 2.1d (build date: Mar 23 2009 23:39:31)                
Apr  9 16:46:08 simux kernel: nozomi 0000:16:00.0: enabling device (0000 -> 0002)                               
Apr  9 16:46:08 simux kernel: nozomi 0000:16:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16                   
Apr  9 16:46:08 simux kernel: nozomi 0000:16:00.0: Card type is: 2048                                           
Apr  9 16:46:08 simux kernel: nozomi 0000:16:00.0: Version of card: 3                                           
Apr  9 16:46:08 simux kernel: nozomi 0000:16:00.0: Initialization OK!                                           
Apr  9 16:46:10 simux kernel: nozomi 0000:16:00.0: Device READY!
Comment 15 Fedora Update System 2009-04-09 12:09:37 EDT
NetworkManager-0.7.0.100-2.git20090408.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3448
Comment 16 Fedora Update System 2009-04-14 21:04:32 EDT
NetworkManager-0.7.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.1-1.fc10
Comment 17 Fedora Update System 2009-04-14 21:23:11 EDT
NetworkManager-0.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.1-1.fc9
Comment 18 Fedora Update System 2009-04-15 13:58:57 EDT
NetworkManager-0.7.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3686
Comment 19 Fedora Update System 2009-05-12 00:06:26 EDT
NetworkManager-0.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-05-12 00:13:11 EDT
NetworkManager-0.7.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.